> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get black scholes implied-vol



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/Tradable/GetBlackScholesImpliedVol
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/Tradable/GetBlackScholesImpliedVol:
    post:
      tags:
        - Tradable
      summary: Get black scholes implied-vol
      operationId: GetBlackScholesImpliedVol
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiGetBlackScholesImpliedVolRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiGetBlackScholesImpliedVolRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiGetBlackScholesImpliedVolRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiGetBlackScholesImpliedVolRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiGetBlackScholesImpliedVolResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiGetBlackScholesImpliedVolRequest:
      example:
        maturity: 5
        forward: 6.027456183070403
        price: 2.3021358869347655
        spot: 0.8008281904610115
        strike: 1.4658129805029452
        discount_factor: 5.637376656633329
        claim_type: claim_type
      properties:
        spot:
          format: double
          type: number
        forward:
          format: double
          type: number
        strike:
          format: double
          type: number
        maturity:
          format: int32
          type: integer
        discount_factor:
          format: double
          type: number
        claim_type:
          nullable: true
          type: string
        price:
          format: double
          type: number
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Tradables.ApiGetBlackScholesImpliedVolRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiGetBlackScholesImpliedVolResponse:
      example:
        implied_vol: 0.8008281904610115
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        implied_vol:
          format: double
          type: number
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Tradables.ApiGetBlackScholesImpliedVolResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````